org.etsi.uri._01903.v1_3

## Class CompleteCertificateRefsType

- java.lang.Object
- - org.etsi.uri._01903.v1_3.CompleteCertificateRefsType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class CompleteCertificateRefsType
      extends Object
      implements Serializable

  Java class for CompleteCertificateRefsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CompleteCertificateRefsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CertRefs" type="{http://uri.etsi.org/01903/v1.3.2#}CertIDListType"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompleteCertificateRefsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SigningCertificate` | `getCertRefs()` Gets the value of the certRefs property.
    `String` | `getId()` Gets the value of the id property.
    `void` | `setCertRefs(SigningCertificate value)` Sets the value of the certRefs property.
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompleteCertificateRefsType

          public CompleteCertificateRefsType()

  - ### Method Detail

    - #### getCertRefs

          public SigningCertificate getCertRefs()

      Gets the value of the certRefs property.
      Returns:
        possible object is `SigningCertificate`

    - #### setCertRefs

          public void setCertRefs(SigningCertificate value)

      Sets the value of the certRefs property.
      Parameters:
        `value` - allowed object is `SigningCertificate`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.